## hifiberry-dsp 0.21

=== requirements.txt ===
requests
pyalsaaudio
spi
xmltodict

=== debian/changelog ===
hifiberry-dsp (0.21-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Jan 2025 17:01:58 +0100

hifiberry-dsp (0.21-1) unstable; urgency=medium

  * Initial release

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Nov 2024 15:56:24 +0100

=== debian/control ===
Source: hifiberry-dsp
Section: utils
Priority: optional
Maintainer: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
	       python3-pytest <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/hifiberry/hifiberry-dsp
Vcs-Git: https://salsa.debian.org/debian/hifiberry-dsp.git
Vcs-Browser: https://salsa.debian.org/debian/hifiberry-dsp
Rules-Requires-Root: no

Package: hifiberry-dsp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: HiFiBerry DSP support software
 Software for HiFiBerry boards equipped with DSP. This package can be
 used to read/write data to HiFiBerry DSP boards using the Beocreate TCP
 server.

=== debian/watch ===
version=4
opts="searchmode=plain" \
    https://api.github.com/repos/hifiberry/hifiberry-dsp/releases?per_page=100 \
    https://github.com/hifiberry/hifiberry-dsp/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## hifiberry-dsp 1.3.6

=== debian/changelog ===
hifiberry-dsp (1.3.6-1) unstable; urgency=medium

  * New upstream release
  * Drop d/patches (upstreamed)
  * Update d/copyright
  * Switch d/watch to v5
  * Update d/.install files
  * Update d/rules for new source folder
  * Drop R³
  * Drop optional priority
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Feb 2026 15:33:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: hifiberry-dsp
 Section: utils
-Priority: optional
 Maintainer: Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
-	       python3-pytest <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/hifiberry/hifiberry-dsp
 Vcs-Git: https://salsa.debian.org/debian/hifiberry-dsp.git
 Vcs-Browser: https://salsa.debian.org/debian/hifiberry-dsp
-Rules-Requires-Root: no
 
 Package: hifiberry-dsp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DIR=src

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# Skip tests due to hardware dependencies (spidev, pyalsaaudio)
	@echo "Skipping tests due to hardware-specific dependencies"

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hifiberry
Project: hifiberry-dsp
